commit:     11461ce23105e90abc9217300c08e7b1701c1730
Author:     Michał Górny <mgorny <AT> gentoo <DOT> org>
AuthorDate: Fri Jun 23 05:42:29 2023 +0000
Commit:     Michał Górny <mgorny <AT> gentoo <DOT> org>
CommitDate: Fri Jun 23 06:06:20 2023 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=11461ce2

dev-python/pyglet: Bump to 2.0.8

Signed-off-by: Michał Górny <mgorny <AT> gentoo.org>

 dev-python/pyglet/Manifest            |  1 +
 dev-python/pyglet/pyglet-2.0.8.ebuild | 82 +++++++++++++++++++++++++++++++++++
 2 files changed, 83 insertions(+)

diff --git a/dev-python/pyglet/Manifest b/dev-python/pyglet/Manifest
index 416e50f77449..cfc3a10eda26 100644
--- a/dev-python/pyglet/Manifest
+++ b/dev-python/pyglet/Manifest
@@ -1 +1,2 @@
 DIST pyglet-2.0.7.gh.tar.gz 6187601 BLAKE2B 
00bebe51d6e4f2971aaaead69d483234528ed676b3a2b273fe6ee3c0b997d61490b9be3218c5caf092c83fdb58fb39051fde843845e63965e8e6c3510f873a90
 SHA512 
e51c63e12cfb450ef5b0ef8f113b50fd9a7ccd20f9afe61ef487c47a42248d674ca3bd300d3300bf3bfd5f45a9a029017a9fbf8dd7231f8b58c4b7354a4715cb
+DIST pyglet-2.0.8.gh.tar.gz 6197927 BLAKE2B 
7b6f26b0c22fea5da3372ab0a3c71fdc55960452530ea565c2946b39de978fb67e5b4467097ed477ec8eff3a3b5ee5f30f84a31172879c9068821492b4d21bbc
 SHA512 
f8fe20d8e43dcd852e96523e03d0e10fff9a18dd50131e0ddc46a49c981f33b3ea9055c769b87c421e4465c4a98fd5a991a862b37215e1d9eac44ff4d33f4bdf

diff --git a/dev-python/pyglet/pyglet-2.0.8.ebuild 
b/dev-python/pyglet/pyglet-2.0.8.ebuild
new file mode 100644
index 000000000000..bf98a5931071
--- /dev/null
+++ b/dev-python/pyglet/pyglet-2.0.8.ebuild
@@ -0,0 +1,82 @@
+# Copyright 1999-2023 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=setuptools
+PYTHON_COMPAT=( python3_{10..11} )
+
+inherit distutils-r1 virtualx xdg-utils
+
+DESCRIPTION="Cross-platform windowing and multimedia library for Python"
+HOMEPAGE="
+       https://pyglet.org/
+       https://github.com/pyglet/pyglet/
+       https://pypi.org/project/pyglet/
+"
+SRC_URI="https://github.com/pyglet/pyglet/archive/v${PV}.tar.gz -> 
${P}.gh.tar.gz"
+
+LICENSE="BSD"
+SLOT="0"
+KEYWORDS="~amd64 ~arm ~arm64 ~loong ~riscv ~x86 ~amd64-linux ~x86-linux"
+IUSE="examples image +sound"
+
+BDEPEND="
+       test? (
+               dev-python/pillow[${PYTHON_USEDEP}]
+               media-libs/fontconfig
+       )
+"
+RDEPEND="
+       virtual/glu
+       virtual/opengl
+       image? ( || (
+               dev-python/pillow[${PYTHON_USEDEP}]
+               x11-libs/gtk+:2
+       ) )
+       sound? ( || (
+               media-libs/libpulse
+               media-libs/openal
+       ) )
+"
+#      ffmpeg? ( media-libs/avbin-bin )
+
+distutils_enable_tests pytest
+
+src_test() {
+       virtx distutils-r1_src_test
+}
+
+python_test() {
+       xdg_environment_reset
+
+       local EPYTEST_DESELECT=(
+               # lacking device/server permissions
+               tests/unit/media/test_listener.py::test_openal_listener
+               tests/unit/media/test_listener.py::test_pulse_listener
+               # fragile to system load
+               
tests/unit/media/test_player.py::PlayerTestCase::test_pause_resume
+               tests/unit/test_clock_freq.py::test_elapsed_time_between_tick
+       )
+       if [[ ${EPYTHON} == python3.11 ]]; then
+               EPYTEST_DESELECT+=(
+                       # broken test
+                       # https://github.com/pyglet/pyglet/issues/606
+                       tests/unit/test_events.py::test_push_handlers_instance
+               )
+       fi
+
+       # Specify path to avoid running interactive tests
+       # We could add in integration tests, but they're slow
+       local -x PYTEST_DISABLE_PLUGIN_AUTOLOAD=1
+       nonfatal epytest tests/unit || die "Tests failed with ${EPYTHON}"
+}
+
+python_install_all() {
+       if use examples; then
+               dodoc -r examples
+               docompress -x /usr/share/doc/${PF}/examples
+       fi
+
+       distutils-r1_python_install_all
+}

Reply via email to